> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Agent Version

> Creates a new version for an agent.

## Endpoint

`POST https://gateway.orkeia.ai/agents/{id}/version-control`

## Headers

```
authorization:  <your_token>
Content-Type: application/json
```

### Path Parameters

```json theme={null}
{
  "id": "Agent ID (required)"
}
```

### Request Body

| Field          | Type                   | Optional | Description                         | Example                    |
| -------------- | ---------------------- | -------- | ----------------------------------- | -------------------------- |
| responsible    | string                 | No       | Responsible for the version         | "Orkeia-dev-team"          |
| responsibleId  | string                 | No       | ID of the responsible person        | "12345abc"                 |
| action         | string                 | No       | What was done                       | "Created new agent"        |
| type           | success/ fail/ neutral | No       | Classifies the result of the action | Success                    |
| date           | Date                   | No       | Event date (ISO 8601 format)        | "2025-08-22T18:32:45.000Z" |
| versionControl | string                 | Yes      | Version name                        | 1.0.0                      |

```json theme={null}
{
  "notes": "Description of changes in this version."
}
```

### Example (cURL)

```bash theme={null}
curl -X POST "https://gateway.orkeia.ai/agents/agent123/version-control" \
  -H "authorization:  <your_token>" \
  -H "Content-Type: application/json" \
  -d '{ "notes": "Description of changes in this version."}'
```

### Response

```json theme={null}
{
  "version": 3,
  "timestamp": "2024-07-20T10:00:00Z"
}
```
